🔗 REST APIOptions
Current data by Exchange
Get current options data for a specific exchange.
Returns option data grouped by underlying asset, quote currency, and expiration time, with quotes for both calls and puts at each strike price.
Authorization<token>
API Key is required to access the endpoints
In: header
Path Parameters
exchange_id*string
Exchange identifier (from the Metadata -> Exchanges)
Response Body
curl -X GET "https://example.com/v1/options/string/current"[ { "asset_id_base": "BTC", "asset_id_quote": "USD", "underlying_price": 770, "time_expiration": "2013-09-28T22:40:50.0000000Z", "strikes": [ { "strike_price": 770, "call": { "symbol_id": "DERIBIT_OPT_BTC-28SEP28_77000", "time_exchange": "0001-01-01T00:00:00.0000000Z", "time_coinapi": "0001-01-01T00:00:00.0000000Z", "ask_price": 770, "ask_size": 3252, "bid_price": 760, "bid_size": 124, "last_trade": { "time_exchange": "2017-03-18T22:42:21.3763342Z", "time_coinapi": "2017-03-18T22:42:21.3763342Z", "uuid": "1ea8adc5-6459-47ca-adbf-0c3f8c729bb2", "price": 770, "size": 0.05, "taker_side": "SELL" } }, "put": { "symbol_id": "DERIBIT_OPT_BTC-28SEP28_77000", "time_exchange": "0001-01-01T00:00:00.0000000Z", "time_coinapi": "0001-01-01T00:00:00.0000000Z", "ask_price": 770, "ask_size": 3252, "bid_price": 760, "bid_size": 124, "last_trade": { "time_exchange": "2017-03-18T22:42:21.3763342Z", "time_coinapi": "2017-03-18T22:42:21.3763342Z", "uuid": "1ea8adc5-6459-47ca-adbf-0c3f8c729bb2", "price": 770, "size": 0.05, "taker_side": "SELL" } } } ] }]